### Method

# AppStream Component get_custom_value

since: 0.10.5

#### Declaration [src]

    const gchar*
    as_component_get_custom_value (
      AsComponent* cpt,
      const gchar* key
    )

#### Description [src]

Retrieve value for a custom data entry with the given key.

Available since: 0.10.5

#### Parameters

`key`

  Type: `const gchar*`

  Field name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

No description available.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.